##  for Mageia 9  ##

%define major 2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define require_ffmpeg_ver 6.1.0
%define require_libplacebo_ver 6.338.2

# debuginfo-without-sources
%define debug_package %{nil}

Name:    mpv
Summary: Movie player playing most video formats and DVDs
Version: 0.39.0
Release: 1.np9
License: GPLv2+ and LGPLv2+
Group:   Video/Players
Url:     https://mpv.io/
Source0: https://github.com/%{name}-player/%{name}/archive/%{name}-%{version}.tar.gz
Patch0: mpv-0.39.0-workaround-for-build-error.patch

BuildRequires: meson
BuildRequires: desktop-file-utils
BuildRequires: hicolor-icon-theme
BuildRequires: imagemagick
BuildRequires: python3-docutils
BuildRequires: perl
BuildRequires: yasm
BuildRequires: ffmpeg-devel >= %{require_ffmpeg_ver}
BuildRequires: libatomic-devel
BuildRequires: mesaegl-devel
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(lua-5.1)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(caca)
BuildRequires: pkgconfig(dri)
BuildRequires: pkgconfig(dvdnav)
BuildRequires: pkgconfig(dvdread)
BuildRequires: nv-codec-headers
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(libarchive)
BuildRequires: pkgconfig(libbluray)
BuildRequires: pkgconfig(libcdio)
BuildRequires: pkgconfig(libcdio_cdda)
BuildRequires: pkgconfig(libcdio_paranoia)
BuildRequires: pkgconfig(libplacebo) >= %{require_libplacebo_ver}
BuildRequires: pkgconfig(libva)
BuildRequires: pkgconfig(libva-x11)
BuildRequires: pkgconfig(luajit)
BuildRequires: pkgconfig(openal)
BuildRequires: pkgconfig(sndio)
BuildRequires: pkgconfig(uchardet)
BuildRequires: pkgconfig(vdpau)
BuildRequires: pkgconfig(egl)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(libass)
BuildRequires: pkgconfig(wayland-client)
BuildRequires: pkgconfig(wayland-cursor)
BuildRequires: pkgconfig(wayland-protocols)
BuildRequires: pkgconfig(wayland-scanner)
BuildRequires: pkgconfig(wayland-server)
BuildRequires: pkgconfig(wayland-egl)
BuildRequires: pkgconfig(rubberband)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xpresent)
BuildRequires: pkgconfig(xkbcommon)
BuildRequires: pkgconfig(xscrnsaver)
BuildRequires: pkgconfig(xv)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(sdl2)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(libpipewire-0.3)
BuildRequires: pkgconfig(libsixel)
BuildRequires: pkgconfig(vapoursynth)
BuildRequires: pkgconfig(zimg)
#
BuildRequires: pkgconfig(krb5)
BuildRequires: pkgconfig(ncurses)
BuildRequires: pkgconfig(xinerama)

Requires: hicolor-icon-theme
Requires: %{libname} = %{version}-%{release}

Recommends: yt-dlp

%description
Mpv is a movie player based on MPlayer and mplayer2.
It supports a wide variety of video file formats, audio and video codecs, and subtitle types.
Special input URL types are available to read input from a variety of sources other than disk files.
Depending on platform, a variety of different video and audio output methods are supported.


%files
%doc README.md RELEASE_NOTES etc/input.conf
%doc DOCS/edl-mpv.rst DOCS/encoding.rst DOCS/interface-changes.rst
%doc DOCS/mplayer-changes.rst DOCS/release-policy.md
%license LICENSE.GPL LICENSE.LGPL Copyright
%{_docdir}/%{name}/mplayer-input.conf
%{_docdir}/%{name}/mpv.conf
%{_docdir}/%{name}/mpv.html
%{_docdir}/%{name}/restore-old-bindings.conf
%{_sysconfdir}/%{name}/*.conf
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/bash-completion/completions/mpv
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/hicolor/*/apps/%{name}-symbolic.svg
%{_datadir}/zsh/site-functions/_mpv
%{_datadir}/metainfo/mpv.metainfo.xml
%{_mandir}/man1/%{name}.*

#------------------------------------

%package -n %{libname}
Summary: Library for %{name}
Group:   System/Libraries

%description -n %{libname}
Mpv is a movie player based on MPlayer and mplayer2.
It supports a wide variety of video file formats, audio and video codecs, and subtitle types.
Special input URL types are available to read input from a variety of sources other than disk files.
Depending on platform, a variety of different video and audio output methods are supported.

%files -n %{libname}
%doc README.md
%license LICENSE.GPL LICENSE.LGPL Copyright
%{_libdir}/*.so.%{major}{,.*}

#------------------------------------

%package -n %{devname}
Summary: Development files for %{name}
Group:   Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{devname}
Mpv is a movie player based on MPlayer and mplayer2.
It supports a wide variety of video file formats, audio and video codecs, and subtitle types.
Special input URL types are available to read input from a variety of sources other than disk files.
Depending on platform, a variety of different video and audio output methods are supported.

%files -n %{devname}
%doc README.md
%doc DOCS/contribute.md DOCS/interface-changes.rst DOCS/tech-overview.txt
%doc DOCS/client-api-changes.rst DOCS/compatibility.rst
%license LICENSE.GPL LICENSE.LGPL Copyright
%{_includedir}/%{name}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%autosetup -p1


%build
%meson --auto-features=auto \
 -Dbuild-date=false \
 -Dlibmpv=true \
 -Dlua=lua-5.1 \
 -Dcocoa=disabled \
 -Dgl-cocoa=disabled \
 -Dspirv-cross=disabled \
 -Dwin32-threads=disabled \
 -Dhtml-build=enabled \
 -Dopenal=enabled \
 -Dcdda=enabled \
 -Ddvbin=enabled \
 -Ddvdnav=enabled \
 -Dpulse=enabled \
 -Dwayland=enabled \
 -Degl-wayland=enabled \
 -Degl-x11=enabled \
 -Dvaapi-drm=enabled \
 -Dvaapi-wayland=enabled \
 -Dvaapi-x11=enabled \
 -Dvaapi=enabled \
 -Dsdl2=enabled

%meson_build


%install
rm -rf $RPM_BUILD_ROOT
%meson_install

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%changelog
* Sat Sep 28 2024 tomcat <> 0.39.0-1.np9
- 0.39.0
- update Patch0

* Wed Sep 11 2024 tomcat <> 0.38.0-3.np9
- rebuild for libplacebo-7.349.0 and vapoursynth-R69
- add Patch0 due to build error

* Fri May 17 2024 tomcat <> 0.38.0-2.np9
- fix BuildRequires

* Thu Apr 18 2024 tomcat <> 0.38.0-1.np9
- 0.38.0
- fix BuildRequires

* Tue Feb 06 2024 tomcat <> 0.37.0-1.np9
- 0.37.0
- use meson instead of waf for build system
- add BR:placebo-devel
- update %%files

* Sun Aug 20 2023 tomcat <> 0.36.0-1.np9
- build 0.36.0 for Mageia 9
